[IPython-user] IPython in XEmacs now working on Windows

Nicolas Pernetty nicopernetty at yahoo.fr
Sun Jan 28 07:25:04 CST 2007


On Fri, 26 Jan 2007 14:25:45 -0700, "Fernando Perez"
<fperez.net at gmail.com> wrote :

> >  > About the pylab freeze it seems that i's a
> >  > Tkinter+Python+(X)emacs problem because I've managed to use
> >  > matplotlib interactively in Xemacs with WxAgg (wxPython) backend
> >  > instead of TkAgg.
> >
> > I've installed wxPython 2.8 unicode for Python 2.5 and its demo
> > runs. matplotlibrc now has backend: WxAgg.
> >
> > However when I try to import pylab, or start IPython with -pylab, I
> > get an error that wxmsw26uh_vc.dll was not found.  (That is called
> > wxbase28uh_vc.dll now I guess.)  Is there a tweak available in
> > matplotlibrc or does it run deeper than that?
> 
> Just guessing here, but it sounds like your mpl was built against WX
> 2.6, so it actually needs the 2.6 libraries.  You'd probably need to
> either rebuild mpl against 2.8 or ask on the MPL list to see if
> someone has built a win32 binary linked against that version of WX.

I have the same problem but everything seems to work with this error
anyway.
I made a 'grep' on wxmsw26uh_vc.dll and replaced it with
wxbase28uh_vc.dll (it's in a binary file named "_pyback.pyd" or
something like that).
Pete, does it work for you despite the error ?


More information about the IPython-user mailing list